gg.toast('奇特吧 www.cheat8.com')
gg.alert('脚本:刺激战场辅助。此脚本永久免费禁止倒卖')
print('作者：浪客')
HOMEDM=1
function HOME()
TS = gg.choice({'⭕大厅开','⭕出生岛','⭕落地开','⭕上色/其他','                                   ❌退出脚本❌','全部功能:1蹲下飞天2蹲下遁地3除草除房4子弹穿墙5老自瞄加速6人物加速7人物白色8人物穿墙9新自瞄加速10人物天线11大量上色。12无后坐力。透视请选择红色内存B。无后坐力游戏中开'},nil,'【刺激战场】3月2号稳定更新子弹穿墙，人物天线，版本相对稳定')
if TS == 1 then Alangke() end
if TS == 2 then B() end
if TS == 3 then D() end
if TS == 4 then E() end
if TS == 5 then TC() end
if TS == 6 then HOME() end
HOMEDM=-1
end

function Alangke()
SG = gg.choice({"1.白色","2.黑色","3.人物透视，请选择红B内存",},nil,'                      浪客刺激战场辅助                         ')
if SG == 1 then A7() end
if SG == 2 then A12() end
if SG == 3 then A11() end
end

	function B()
	BQ = gg.choice({"1.人物透视，请选择红B内存",},nil,'刺激战场辅助2018/03/03版')
if BQ == 1 then A11() end

	end

function D()
SG = gg.choice({"1.蹲下飞天，稳定","2.蹲下遁地，飞天遁地二选一","3.除草，请选择红色B内存","4.老加速自瞄，不稳定","5.人物加速，不稳定","6.新子弹穿墙","7.人物穿墙","8.新加速自瞄","9.新人物天线","10.透视，请选择红色内存B","11.人物天线2，未知稳定","12.无后坐力，未知稳定",},nil,'刺激战场辅助 03-03')
if SG == 1 then A1() end
if SG == 2 then A2() end
if SG == 3 then A3() end
if SG == 4 then A5() end
if SG == 5 then A6() end
if SG == 6 then A4() end
if SG == 7 then A8() end
if SG == 8 then A9() end
if SG == 9 then A10() end
if SG == 10 then A11() end
if SG == 11 then A18() end
if SG == 12 then A19() end
end



	function C()
gg.toast('需要更新请加群️')
	end
	


function E()
	BQ = gg.choice({"1.白色，大厅改","2.黑色，大厅改","3.黑夜游戏中，选择内存红色B，稳定性未知","4.外星世界，游戏中选择内存B，稳定性未知","5.全局上色,游戏中开，稳定性未知","6.蓝色，游戏中开未知稳定","6.绿色，游戏中开未知稳定"},nil,'刺激战场辅助 03-03')
if BQ == 1 then A7() end
if BQ == 2 then A12() end
if BQ == 3 then A13() end
if BQ == 4 then A14() end
if BQ == 5 then A15() end
if BQ == 6 then A16() end
if BQ == 7 then A17() end
end

function TC()--退出
print("️️欢迎加入GG修改器交流（浪客）")
print("️群聊号码：439239053")
gg.toast('️更新请加群️')
gg.toast('浪客QQ2734213470')
os.exit() 
end

function A1()
gg.clearResults()
gg.searchNumber('1400;0.10000000149;1000;88;60;30', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('60', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(4)
gg.editAll('-4000', gg.TYPE_FLOAT)
gg.toast('下蹲飞天已开启，感谢您使用！')
end


function A2()
gg.clearResults()
gg.searchNumber('1400;0.10000000149;1000;88;60;30', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('60', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(4)
gg.editAll('2000', gg.TYPE_FLOAT)
gg.toast('下蹲遁地已开启，感谢您使用！')
end

function A3()
gg.clearResults()
gg.searchNumber('2;-1;0.00390625;1;-127.0', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('2', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('0', gg.TYPE_FLOAT)
gg.toast('除草已经开启')
gg.toast('稳定放心使用')
end


function A4()
gg.clearResults()
gg.searchNumber('869,711,765D;2;1::55', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('2', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('0', gg.TYPE_FLOAT)
gg.toast('子弹穿墙开启成功')
end


function A5()
gg.clearResults()
gg.searchNumber('1;1;1;0.0001;20;0.0005;0.4::50', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('1.3', gg.TYPE_FLOAT)
gg.toast('加速＋自瞄开启成功')
end


function A6()
gg.clearResults()
gg.searchNumber('1;256D;0.60000002384;25,000,000.0', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('1.5', gg.TYPE_FLOAT)
gg.toast('人物加速开启成功')
end


function A7()
gg.clearResults()
gg.searchNumber('0.05499718338;1.0F', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(20)
gg.editAll('900', gg.TYPE_FLOAT)
gg.toast('人物变白开启成功')
gg.toast('感谢使用')
end


function A8()
gg.clearResults()
gg.searchNumber('814313567D;2F', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('2', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('1', gg.TYPE_FLOAT)
gg.toast('人物穿墙开启成功')
gg.toast('如果功能不好用请重新运行脚本')
end


function A9()
gg.clearResults()
gg.searchNumber('1;20;0.4;5.6051939e-45::60', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('2', gg.TYPE_FLOAT)
gg.toast('加速＋自瞄开启成功')
end

function A10()
gg.clearResults()
gg.searchNumber('18.38613319397;0.53447723389;3.42665576935',gg.TYPE_FLOAT,false, gg.SIGN_EQUAL,0, -1)
gg.searchNumber('18.38613319397;0.53447723389;3.42665576935', gg.TYPE_FLOAT,false,gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('6666', gg.TYPE_FLOAT)
gg.toast('人物天线开启成功')
end


function A11()
gg.clearResults()
gg.searchNumber('200,745D;135,212D;4,141D;3.7615819e-37;2::90', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('2', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(6)
gg.editAll('200',gg.TYPE_FLOAT)
gg.toast('人物透视正在开启')
gg.toast('请稍后')
gg.clearResults()
gg.clearResults()
gg.searchNumber('178D;12D;2;-1;1;-127',gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('2', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(10)
gg.editAll('200',gg.TYPE_FLOAT)
gg.toast('人物透视开启成功')
end

function A12()
gg.clearResults()
gg.searchNumber('0.05499718338;1.0F', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(20)
gg.editAll('-900', gg.TYPE_FLOAT)
gg.toast('人物黑色开启成功')
gg.toast('感谢使用')
end

function A13()
gg.clearResults()
gg.searchNumber('1;0.60000002384;0.58999997377;0.1400000006;0.85000002384',gg.TYPE_FLOAT,false, gg.SIGN_EQUAL,0, -1)
gg.searchNumber('0.58999997377', gg.TYPE_FLOAT,false,gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('9', gg.TYPE_FLOAT)
gg.toast('全图夜晚已开启')
end


function A14()
gg.clearResults()
gg.searchNumber('1;0.60000002384;0.58999997377;0.1400000006;0.85000002384',gg.TYPE_FLOAT,false, gg.SIGN_EQUAL,0, -1)
gg.searchNumber('0.58999997377', gg.TYPE_FLOAT,false,gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('-9', gg.TYPE_FLOAT)
gg.toast('外星已开启')
end


function A15()
gg.clearResults()
gg.searchNumber('1;0.60000002384;0.58999997377;0.1400000006;0.85000002384', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('0.85000002384', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('5', gg.TYPE_FLOAT)
gg.toast('提示:全局上色！')
end

function A16()
gg.clearResults()
gg.searchNumber('0.30737304688',gg.TYPE_FLOAT,false, gg.SIGN_EQUAL,0, -1)
gg.searchNumber('0.30737304688', gg.TYPE_FLOAT,false,gg.SIGN_EQUAL, 0, -1)
gg.getResults(5)
gg.editAll('-99', gg.TYPE_FLOAT)
gg.toast('人物蓝色已开启')
end


function A17()
gg.clearResults()
gg.searchNumber('0.09112548828',gg.TYPE_FLOAT,false, gg.SIGN_EQUAL,0, -1)
gg.searchNumber('0.09112548828', gg.TYPE_FLOAT,false,gg.SIGN_EQUAL, 0, -1)
gg.getResults(5)
gg.editAll('-99', gg.TYPE_FLOAT)
gg.toast('人物绿色已开启')
end


function A18()
gg.clearResults()
gg.searchNumber('0.99999988079;0.82059580088;1;0.99999988079',gg.TYPE_FLOAT,false, gg.SIGN_EQUAL,0, -1)
gg.searchNumber('1', gg.TYPE_FLOAT,false,gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('888', gg.TYPE_FLOAT)
gg.toast('提示:人物天线男已开启')
end



function A19()
gg.clearResults()
gg.searchNumber('30;0.3;80;25;220::', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('0.3', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(10)
gg.editAll('400',gg.TYPE_FLOAT)
gg.toast('无后坐力正在开启')
gg.toast('请稍后……')
gg.clearResults()
gg.clearResults()
gg.searchNumber('1;10000D;100000',gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(10)
gg.editAll('0.001',gg.TYPE_FLOAT)
gg.toast('无后坐力开启成功')
end



while(true)
do
  if gg.isVisible(true) then
    HOMEDM=1
    gg.setVisible(false) 
  end 
  if HOMEDM==1 then HOME() end
end
